booting Linux with OS2 boot manager

booting Linux with OS2 boot manager

Post by Teddybears R » Fri, 25 Mar 1994 02:54:56



Ok I spent about 2 hours tracking down the neceassry FAQ to setup Linux to
boot from OS2/2.1 boot manager.  Unforunately it didn't work.  This is what I
did:
        1. used OS2 fdisk to create the partitions for Linux and added the
partition for the file system to the bm
        2. formatted the partitions using OS2 HPFS
        3. booted Linux did mkswap and mke2fs and set the type ids on the
partitions
        4. installed Linux (SLS distribution-1.03? pl12?)

after I finished I tried to boot Linux from the boot manager and got a
partition not formatted error...

I remember a post from long ago (about 6months ago when I tried this the 1st
time) about having to install an original version of LILO and not the ver
that comes with SLS.  Please, someone, can you help me out here...Thanks!

 
 
 

booting Linux with OS2 boot manager

Post by Charles T Wilson -- Personal Accou » Fri, 25 Mar 1994 12:16:57




Quote:>Ok I spent about 2 hours tracking down the neceassry FAQ to setup Linux to
>boot from OS2/2.1 boot manager.  Unforunately it didn't work.  This is what I
>did:
>    1. used OS2 fdisk to create the partitions for Linux and added the
>partition for the file system to the bm

correct
Quote:>    2. formatted the partitions using OS2 HPFS

           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
I can't figure why you did this...definitely not needed.  I hope this isn't
in the FAQ.  All you needed to do was use OS/2 to create the partitions
and put your boot part in boot manager's table...

Quote:>    3. booted Linux did mkswap and mke2fs and set the type ids on the
>partitions

correct

Quote:>    4. installed Linux (SLS distribution-1.03? pl12?)

whatever distribution suits you from here oughtta work

Quote:>after I finished I tried to boot Linux from the boot manager and got a
>partition not formatted error...

>I remember a post from long ago (about 6months ago when I tried this the 1st
>time) about having to install an original version of LILO and not the ver
>that comes with SLS.  Please, someone, can you help me out here...Thanks!

whatever came with MCC-Interim pl10+ works fine for me...kinda old by now,
but I'm hoping MCC 1.0 will do as well...

--
/-----------------------------------------------------------------------\
|  Tom Wilson                      |  "I can't complain, but sometimes  |

|                                  |                -Joe Walsh          |